import java.io.IOException;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.mapred.MapReduceBase;
import org.apache.hadoop.mapred.Mapper;
import org.apache.hadoop.mapred.OutputCollector;
import org.apache.hadoop.mapred.Reporter;
import org.apache.hadoop.io.Text;
/**
 * 
 * @author Aparajita
 *
 */
public class MapClassCounter extends MapReduceBase implements Mapper<LongWritable, Text, Text, Text>
{
	static enum OrderCounters { PLACED, PROCESSED };
    public void map ( LongWritable key, Text value, OutputCollector<Text, Text> output,
                 Reporter reporter) throws IOException
    {
        //Split the Input string by using ',' and stored in 'fields' array
        String fields[] = value.toString().split(",", -20);
        //5th index value is province. It is stored in 'province' variable
        String province = fields[5];
        
        //7th index value is order data. It is stored in 'order' variable
        String order = fields[7];
      
        if (province.length() == 0) {
            reporter.incrCounter(OrderCounters.PLACED, 1);
        } else if (order.startsWith("\"")) {
            reporter.incrCounter(OrderCounters.PROCESSED, 1);
        } else {
            output.collect(new Text(province), new Text(order + ",1"));
        }
    }
}
